/*
* Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-05
* Changed:         2026-06-23
*
* */

#include <ls-std/io/FilePathSeparator.hpp>
#include <ls-std/io/FilePathSeparatorMatch.hpp>

using ls::standard::io::FilePathSeparator;
using ls::standard::io::FilePathSeparatorMatch;

FilePathSeparatorMatch::FilePathSeparatorMatch() = default;

FilePathSeparatorMatch::~FilePathSeparatorMatch() = default;

bool FilePathSeparatorMatch::operator()(const char _char) const
{
  return _char == FilePathSeparator::getWindowsFilePathSeparator() || _char == FilePathSeparator::getUnixFilePathSeparator();
}
